summarylogtreecommitdiffstats
path: root/ucloner.sh
diff options
context:
space:
mode:
authormaz-12015-10-13 06:36:06 +0000
committermaz-12015-10-13 06:36:06 +0000
commitdbc3a6a0a6ed19d3f059fe4ed2527c0d1f82399d (patch)
tree25a1231529cc36ec4a75daf18137b19a4cff4a78 /ucloner.sh
downloadaur-dbc3a6a0a6ed19d3f059fe4ed2527c0d1f82399d.tar.gz
initial
Diffstat (limited to 'ucloner.sh')
-rw-r--r--ucloner.sh10
1 files changed, 10 insertions, 0 deletions
diff --git a/ucloner.sh b/ucloner.sh
new file mode 100644
index 000000000000..ad149fed7c0c
--- /dev/null
+++ b/ucloner.sh
@@ -0,0 +1,10 @@
+#!/bin/sh
+export LANGUAGE=`echo $LANG | grep -oP [A-Za-z_]+ | head -1`
+
+if [ "$( ps -A | grep ucloner_gui)" ] ; then
+ zenity --title="Error" --error --text="Another uclone instance is running!"
+ exit 1
+fi
+
+cd /opt/ucloner/
+exec gksu python2 ./ucloner_gui.py &> /dev/null \ No newline at end of file